getAccountBalance

Get an array of all AccountBalances for an AccountIdentifier and the
BlockIdentifier at which the balance lookup was performed. The BlockIdentifier
must always be returned because some consumers of account balance data need
to know specifically at which block the balance was calculated to
compare balances they compute from operations with the balance returned
by the node.

It is important to note that making a balance request for an account
without populating the SubAccountIdentifier should not result in the
balance of all possible SubAccountIdentifiers being returned. Rather,
it should result in the balance pertaining to no SubAccountIdentifiers
being returned (sometimes called the liquid balance). To get all
balances associated with an account, it may be necessary to
perform multiple balance requests with unique AccountIdentifiers.

It is also possible to perform a historical balance lookup (if the server
supports it) by passing in an optional BlockIdentifier.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

An AccountBalanceRequest is utilized to make a balance request
on the /account/balance endpoint. If the block_identifier is populated,
a historical balance query should be performed.

network_identifier
object
required

The network_identifier specifies which network a particular object is associated with.

account_identifier
object
required

The account_identifier uniquely identifies an account within a network.
All fields in the account_identifier are utilized to determine this uniqueness
(including the metadata field, if populated).

block_identifier
object

When fetching data by BlockIdentifier, it may be possible to only specify the
index or hash. If neither property is specified, it is assumed that the
client is making a request at the current block.

currencies
array of objects

In some cases, the caller may not want to retrieve all available
balances for an AccountIdentifier. If the currencies field
is populated, only balances for the specified currencies
will be returned. If not populated, all available balances
will be returned.

currencies
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json